<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="ie=edge">
    <title>Burger Menu</title>
    <link rel="stylesheet" href="../../../dist/css/plumcss.css">
    <link rel="stylesheet" href="../../../dist/css/plumcss_colors.css">
</head>
    <body class="h-screen">  
        <div class="container col-16 h-screen flex flex-column justify-content-center align-items-center">
            <h1 class="tx-bluegrey-6 mt-8">
                Accionador hamburgues
            </h1>
            <p class="tx-bluegrey-7 mb-10">
                Puede agregar un menú estilo hamburguesa y dependiendo del tipo usará una animación diferente, para el tipo de menú de disparador se transforma en un ícono veces y para el tipo de diapositiva de disparador se transforma en una flecha
            </p>
            <h4 class="tx-bluegrey-7">
                Disparador de menú
            </h4>
            <button id="trigger_menu" class="burger trigger-menu">
                <div class="burger-inner">
                    <span class="burger-inner-line"></span>
                    <span class="burger-inner-line"></span>
                    <span class="burger-inner-line"></span>
                </div>
            </button>
            <br>
            <h4 class="tx-bluegrey-7">
                Disparador de slide
            </h4>
            <button id="trigger_slide" class="burger trigger-slide">
                <div class="burger-inner">
                    <div class="burger-inner-line"></div>
                    <div class="burger-inner-line"></div>
                    <div class="burger-inner-line"></div>
                </div>
            </button>
        </div>
    </body>
    <script>
        const trigger_menu      =       document.getElementById('trigger_menu');
        const trigger_slide     =       document.getElementById('trigger_slide');

        trigger_menu.addEventListener('click', function () {
            trigger_menu.classList.toggle('trigger-menu-toggled');
        });
        
        trigger_slide.addEventListener('click', function () {
            trigger_slide.classList.toggle('trigger-slide-toggled');
        });
    </script>
</html>